edu.sc.seis.sod

## Class CookieJarResult

- java.lang.Object
- - edu.sc.seis.sod.CookieJarResult

-     public class CookieJarResult
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CookieJarResult(int pairId, java.lang.String name)`
    `` | `CookieJarResult(int pairId, java.lang.String name, double value)`
    `` | `CookieJarResult(int pairId, java.lang.String name, java.lang.Object value)`
    `` | `CookieJarResult(int pairId, java.lang.String name, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `int` | `getPairId()`
    `double` | `getValueDouble()`
    `java.lang.Object` | `getValueObject()`
    `java.lang.String` | `getValueString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CookieJarResult

          protected CookieJarResult(int pairId,
                                    java.lang.String name)

    - #### CookieJarResult

          public CookieJarResult(int pairId,
                                 java.lang.String name,
                                 java.lang.String value)

    - #### CookieJarResult

          public CookieJarResult(int pairId,
                                 java.lang.String name,
                                 double value)

    - #### CookieJarResult

          public CookieJarResult(int pairId,
                                 java.lang.String name,
                                 java.lang.Object value)

  - ### Method Detail

    - #### getPairId

          public int getPairId()

    - #### getName

          public java.lang.String getName()

    - #### getValueString

          public java.lang.String getValueString()

    - #### getValueDouble

          public double getValueDouble()

    - #### getValueObject

          public java.lang.Object getValueObject()